Xeonr Developer Docs

Get public upload

POST
/uplim.api.v1.PublicUploadsService/GetPublicUpload

Retrieves a public upload, folder listing, or alias access requirement. Supports password-protected aliases. No authentication required.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?|

Reference to the bucket

path?string

Full path including slug (e.g., "/photos/image.jpg" or "/" for root listing)

Match^\/([a-zA-Z0-9 _\-\.\/\:\(\)\',@#\+&~!%\[\]]*)?$
Length1 <= length <= 512
aliasPassword?string|null

Password for alias access (if required)

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.PublicUploadsService/GetPublicUpload" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "wsSubscriptionToken": "string",
  "wsSubscriptionTokenExpiresAt": "2023-01-15T01:30:15.01Z",
  "aliasAccessRequired": {
    "sizeBytes": 0,
    "requirement": "ALIAS_ACCESS_REQUIREMENT_UNSPECIFIED",
    "thumbnailContentTypeUrn": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}